%define anolis_release 2

%global glib2_version 2.76.0
%global verdir %(echo ${version} | cut -d. -f1,2)

Name:           gobject-introspection
Version:        1.76.1
Release:        %{anolis_release}%{?dist}
Summary:        Introspection system for GObject-based libraries

License:        GPLv2+ and LGPLv2+ and MIT
URL:            https://wiki.gnome.org/Projects/GObjectIntrospection
Source0:        https://download.gnome.org/sources/gobject-introspection/%{verdir}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:	gtk-doc
BuildRequires:  meson >= 0.60.0
BuildRequires:  python3-devel >= 3.6
BuildRequires:  python3-mako
BuildRequires:  python3-markdown
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gmodule-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(libffi)

Requires:       glib2 >= %{glib2_version}

%description
GObject Introspection can scan C header and source files in order to
generate introspection "typelib" files.  It also provides an API to examine
typelib files, useful for creating language bindings among other
things.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Libraries and headers for gobject-introspection
Requires:       %{name} = %{version}-%{release}
# For g-ir-doctool
Requires:       python3-mako
Requires:       python3-markdown
# This package only works with the Python version it was built with
Requires:       python(abi) = %{python3_version}

%description devel
Libraries and headers for gobject-introspection

%prep
%autosetup -p1

%build
%meson -Ddoctool=enabled -Dgtk_doc=true -Dpython=%{__python3}
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING COPYING.GPL COPYING.LGPL
%{_libdir}/libgirepository-1.0.so.1*
%{abidir}/libgirepository-1.0.dump
%{abidir}/_giscanner.cpython-310-%{_arch}-linux-gnu.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib

%files doc
%doc NEWS README.rst

%files devel
%{_libdir}/libgirepository-1.0.so
%{_libdir}/gobject-introspection/
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_bindir}/g-ir-*
%{abidir}/g-ir-*-option.list
%{_datadir}/gir-1.0
%{_datadir}/gobject-introspection-1.0/
%{_datadir}/aclocal/introspection.m4
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gi/
%{_mandir}/man1/g-ir-compiler.1*
%{_mandir}/man1/g-ir-doc-tool.1*
%{_mandir}/man1/g-ir-generate.1*
%{_mandir}/man1/g-ir-scanner.1*

%changelog
* Thu Dec 28 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.76.1-2
- rebuild

* Fri Mar 24 2023 Funda Wang <fundawang@yeah.net> - 1.76.1-1
- New version 1.76.1

* Tue Mar 14 2023 Funda Wang <fundawang@yeah.net> - 1.76.0-1
- New version 1.76.0

* Wed Nov 30 2022 Funda Wang <fundawang@yeah.net> - 1.74.0-1
- New version 1.74.0

* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.71.0-2
- optimise spec file & add doc package

* Thu Mar 10 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.71.0-1
- Update to 1.71.0
- Init for Anolis OS 23
